Bug 1303505 - [DOCS] [3.3] Document automated Logging and Metric Installation
[DOCS] [3.3] Document automated Logging and Metric Installation
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: brice
Gaoyun Pei
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 01:07 EST by Vikram Goyal
Modified: 2016-09-27 23:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-27 23:16:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-02-01 01:07:37 EST
As part of OSE 3.2, it is proposed that the installation of the logging and metric processes be handled by the installation script (ansible playbook) instead of having the admin install it later manually.

Suggested outline:
- why should the system install these components
- how the install happens
- do users still need manual configuration or setup instructions?
https://docs.openshift.com/enterprise/3.1/install_config/aggregate_logging.html and https://docs.openshift.com/enterprise/3.1/install_config/cluster_metrics.html

Dev for this feature is:
Scott Dodson

Trello card is:
https://trello.com/c/pQ2cmWhG/123-8-openshift-ansible-playbook-for-logging-metrics-installation

QA contact is:
Gaoyun Pei

Likely Guide is:
Installation and Configuration Guide:
https://docs.openshift.com/enterprise/latest/install_config/index.html

And there may be updates required to these guides:
https://docs.openshift.com/enterprise/3.1/install_config/aggregate_logging.html and https://docs.openshift.com/enterprise/3.1/install_config/cluster_metrics.html
Comment 1 brice 2016-03-16 19:41:02 EDT
Spoke with Vikram, development is now targeted for 3.3. Moving this BZ to 3.3 queue.
Comment 2 Vikram Goyal 2016-08-06 20:07:01 EDT
@Brice - this is now available and targeted for 3.3.

Eng card updates

Logging: https://trello.com/c/PWHWA2N6/228-3-automated-logging-deployment
Metrics: https://trello.com/c/pQ2cmWhG/123-3-automated-metrics-deployment
Comment 5 brice 2016-09-01 02:31:47 EDT
PR created for this:

https://github.com/openshift/openshift-docs/pull/2771
Comment 6 openshift-github-bot 2016-09-01 23:48:51 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/1d00caf28b899b7b172edf51dd8480e24fc79f18
Merge pull request #2771 from bfallonf/log-met-bz1303505

Bug 1303505 added info on cluster metrics when advanced installing

Note You need to log in before you can comment on or make changes to this bug.